Passport Extraction API

Extract structured information from passport biodata and final pages. Supported MIME types: application/pdf, image/jpeg, image/png, image/webp

POST
/v1/documents/passport

Extract structured information from passport biodata and final pages.

Supported MIME types: application/pdf, image/jpeg, image/png, image/webp

Authorization

bearerAuth
AuthorizationBearer <token>

Provide your Cryvis API key as a Bearer token.

In: header

Request Body

multipart/form-data

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/documents/passport" \  -F first_page="string" \  -F last_page="string"
{  "success": true,  "data": {    "full_name": "JOHN DOE",    "given_name": "JOHN",    "surname": "DOE",    "date_of_birth": "1995-04-12",    "nationality": "IND",    "passport_number": "P1234567",    "issue_date": "2020-04-12",    "expiry_date": "2030-04-12",    "issuing_country": "IND",    "sex": "M",    "mrz": {      "line1": "P<INDDOE<<JOHN<<<<<<<<<<<<<<<<<<<<<<<<<<<<",      "line2": "P1234567<3IND9504124M3004123<<<<<<<<<<<<<<<4",      "check_digits_valid": true    }  },  "meta": {    "document_type": "passport",    "request_id": "req_example"  }}